Subject: LDP unsolicited

From: "Vijayanand C - CTD, Chennai." <[email-masked]>
Date: Thu, 7 Feb 2002 10:33:24 +0530

Igor,
Iam not telling it is implementation specific.The procedures in the RFC
dont' explicitly seem to state this condition, which may cause us to
interpret this with the help of our understanding of the protocol.

 If you are a label merging LSR then you need to have one out label for an
FEC. So the second label will be released. If you are not a label merging
LSR you would have as many out labels as needed by you and your upstream. So
when your and your upstreams' request is already satisfied by a mapping and
you get another mapping you have'nt requested, you can release it. The
implementation specifics could be whether you accept the unsolicited mapping
which may come earlier than requested mapping or not. 

Please correct me if I my understanding is wrong.

Regards,
Vijay

-----Original Message-----
From: Igor Achkinazi [mailto:[email-masked]]
Sent: Wednesday, February 06, 2002 9:26 PM
To: [email-masked]
Cc: [email-masked]
Subject: RE: LDP unsolicited

Vijay,

You mean it should be implementation specific to retain second label or 
release it... Makes sense. So LDP spec covers just protocol part here, 
because it is legal to have more than one label for the same FEC in case 
application requires it.

Thanks,
Igor

>From: "Vijayanand C - CTD, Chennai." <[email-masked]>
>To: Igor Achkinazi <[email-masked]>
>CC: [email-masked]
>Subject: RE: LDP unsolicited
>Date: Wed, 6 Feb 2002 10:38:40 +0530
>
>I wonder if DuS Ind control with conservative retention mode is useful. 
>Even
>then, I think the upstream can release the second mapping and retain the
>earlier one for the FEC, though the released one may be the mapping for the
>request sent and the retained one may be the unsolicited map, it does'nt
>matter.
>
>Correct me if Iam wrong
>
>Regards,
>Vijay
>
>-----Original Message-----
>From: Igor Achkinazi [mailto:[email-masked]]
>Sent: Wednesday, February 06, 2002 3:20 AM
>To: [email-masked]
>Cc: [email-masked]
>Subject: Re: LDP unsolicited
>
>
>Thanks, Bob.
>
>What if I have Conservative label retention mode? I cannot configure
>RequestNever: if LSR gets Label Mapping from downstream router for unknown
>prefix, it must release it according to LMp.13 (rfc3036), and then, when
>this prefix is configured on LSR, Label Request should be sent to obtain a
>label.
>
>Mentioned condition can happen if the same prefix is configured on both
>upstream and downstream routers exactly at the same time.
>
>Thanks,
>Igor
>
>
> >From: Bob Thomas <[email-masked]>
> >To: "Igor Achkinazi" <[email-masked]>
> >CC: [email-masked]
> >Subject: Re: LDP unsolicited
> >Date: Tue, 05 Feb 2002 16:28:08 -0500
> >
> >Igor,
> >
> > > How does LDP spec/rfc3036 address race condition of simultaneous Label
> > > Request and Label Mapping being sent for the same prefix in 
>unsolicited
> > > label advertisement mode?
> > >
> > > Section "A.1.6. Recognize New FEC" says we need to send label request 
>to
> > > downstream peer regardless of configured label advertisement mode. New
> >FEC
> > > was detected immediately after LDP was configured, so we have not got
> >label
> > > yet at this moment.
> >
> >A thing that is not as clear as it should be in rfc3036 is that
> >Downstream Unsolicited Liberal Retention mode implies LSR Request 
>Procedure
> >"Request Never" as per rfc3031 Section 5.1.2.1:
> >
> >   5.1.2.1. RequestNever
> >
> >      Never make a request.  This is useful if the downstream LSR uses 
>the
> >      PushConditional procedure or the PushUnconditional procedure, but 
>is
> >      not useful if the downstream LSR uses the PulledUnconditional
> >      procedure or the the PulledConditional procedures.
> >
> >      This procedure would be used by an LSR when unsolicited downstream
> >      label distribution and Liberal Label Retention Mode are being used.
> >
> >Therefore, an LSR operating in DU/Liberal Retention mode would not
> >send a Label Request when it recognizes a new FEC.
> >
> >Bob
> >
> >
> > > At the same time peer sends us Label Mapping with label for the same
> >prefix
> > > according to configured unsolicited advertisement mode.
> > >
> > > This scenario ends up with two labels for the same prefix, which can 
>be
> > > quite a waste of label space for big number of routes.
> > >
> > > I know, LDP spec is stable for big period of time, and may be I just
> >missed
> > > something.
> >
>
>
>_________________________________________________________________
>Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp.

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com